개정판 475071f2
dev issue #1225 : text model and fix label angle
Change-Id: I6d4a27d4cf015d863e3e3595d92ccfba81774bd2
DTI_PID/APIDConverter/AutoModeling.cs | ||
---|---|---|
100 | 100 |
try |
101 | 101 |
{ |
102 | 102 |
SplashScreenManager.ShowForm(typeof(APIDSplashScreen), true, true); |
103 |
SplashScreenManager.Default.SendCommand(APIDSplashScreen.SplashScreenCommand.SetAllStepCount, 3);
|
|
103 |
SplashScreenManager.Default.SendCommand(APIDSplashScreen.SplashScreenCommand.SetAllStepCount, 4);
|
|
104 | 104 |
SplashScreenManager.Default.SendCommand(APIDSplashScreen.SplashScreenCommand.SetDocumentName, document.AvevaDrawingNumber + document.AvevaSheetNumber); |
105 | 105 |
SplashScreenManager.Default.SendCommand(APIDSplashScreen.SplashScreenCommand.SetParent, Autodesk.AutoCAD.ApplicationServices.Application.MainWindow.Handle); |
106 | 106 |
|
... | ... | |
109 | 109 |
RunLineModeling(); |
110 | 110 |
RunOPCModeling(); |
111 | 111 |
RunSymbolModeling(); |
112 |
|
|
113 |
|
|
112 |
RunTextModeling(); |
|
114 | 113 |
} |
115 | 114 |
catch (System.Exception ex) |
116 | 115 |
{ |
... | ... | |
158 | 157 |
SplashScreenManager.Default.SendCommand(APIDSplashScreen.SplashScreenCommand.UpProgress, null); |
159 | 158 |
} |
160 | 159 |
} |
160 |
private void RunTextModeling() |
|
161 |
{ |
|
162 |
//SplashScreenManager.Default.SendCommand(APIDSplashScreen.SplashScreenCommand.SetAllProgress, document.text.Count); |
|
163 |
//SplashScreenManager.Default.SendCommand(APIDSplashScreen.SplashScreenCommand.SetStep, "Line Modeling"); |
|
164 |
//foreach (var item in document.LINES) |
|
165 |
//{ |
|
166 |
// if (item.Aveva.Handle == 0) |
|
167 |
// LineModeling(item); |
|
168 |
|
|
169 |
// SplashScreenManager.Default.SendCommand(APIDSplashScreen.SplashScreenCommand.UpProgress, null); |
|
170 |
//} |
|
171 |
} |
|
161 | 172 |
#endregion |
162 | 173 |
|
163 | 174 |
#region Modeling Method |
... | ... | |
244 | 255 |
{ |
245 | 256 |
Point3d point = new Point3d(lineNumber.Aveva.X, lineNumber.Aveva.Y, 0); |
246 | 257 |
commandParam.Add(point); |
247 |
commandParam.Add(lineNumber.ANGLE);
|
|
258 |
commandParam.Add(lineNumber.Aveva.Angle);
|
|
248 | 259 |
|
249 | 260 |
commandParam.Add(null); |
250 | 261 |
} |
내보내기 Unified diff